import { GetNotificationsOptions, GetNotificationsResponse, GetTopicsOptions, GetTopicsResponse, NotificationsApi, UpdateNotificationsOptions } from './NotificationsApi';
import { DiscoveryApi, FetchApi } from '@backstage/core-plugin-api';
import { Notification, NotificationSettings, NotificationStatus } from '@backstage/plugin-notifications-common';
/** @public */
export declare class NotificationsClient implements NotificationsApi {
    private readonly discoveryApi;
    private readonly fetchApi;
    constructor(options: {
        discoveryApi: DiscoveryApi;
        fetchApi: FetchApi;
    });
    getNotifications(options?: GetNotificationsOptions): Promise<GetNotificationsResponse>;
    getNotification(id: string): Promise<Notification>;
    getStatus(): Promise<NotificationStatus>;
    updateNotifications(options: UpdateNotificationsOptions): Promise<Notification[]>;
    getNotificationSettings(): Promise<NotificationSettings>;
    updateNotificationSettings(settings: NotificationSettings): Promise<NotificationSettings>;
    getTopics(options?: GetTopicsOptions): Promise<GetTopicsResponse>;
    private appendCommonQueryStrings;
    private request;
}
